Package com.independentsoft.office.odf

# Class FileEntry

java.lang.Object
com.independentsoft.office.odf.FileEntry

public class FileEntry extends Object
The Class FileEntry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileEntry()`
  Initializes a new instance of the FileEntry class.
  `FileEntry​(String path, String mediaType)`
  Initializes a new instance of the FileEntry class.
  `FileEntry​(String path, String mediaType, long size)`
  Initializes a new instance of the FileEntry class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileEntry`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getMediaType()`
  Gets the media type.
  `String`
  `getPath()`
  Gets the path.
  `long`
  `getSize()`
  Gets the size.
  `void`
  `setMediaType​(String mediaType)`
  Sets the media type.
  `void`
  `setPath​(String path)`
  Sets the path.
  `void`
  `setSize​(long size)`
  Sets the size.
  `String`
  `toString()`
  Converts the value of the current FileEntry object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileEntry

    public FileEntry()
    Initializes a new instance of the FileEntry class.

  - ### FileEntry

    public FileEntry​(String path, String mediaType)
    Initializes a new instance of the FileEntry class.
    Parameters:
      `path` - the path
      `mediaType` - the media type

  - ### FileEntry

    public FileEntry​(String path, String mediaType, long size)
    Initializes a new instance of the FileEntry class.
    Parameters:
      `path` - the path
      `mediaType` - the media type
      `size` - the size

- ## Method Details

  - ### clone

    public FileEntry clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current FileEntry object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getPath

    public String getPath()
    Gets the path.
    Returns:
      the path

  - ### setPath

    public void setPath​(String path)
    Sets the path.
    Parameters:
      `path` - the new path

  - ### getMediaType

    public String getMediaType()
    Gets the media type.
    Returns:
      the media type

  - ### setMediaType

    public void setMediaType​(String mediaType)
    Sets the media type.
    Parameters:
      `mediaType` - the new media type

  - ### getSize

    public long getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(long size)
    Sets the size.
    Parameters:
      `size` - the new size